<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-product-category-heading" jhiTranslate="restaurantApplicationApp.productCategory.home.createOrEditLabel">Create or edit a Product Category</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!productCategory.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="productCategory.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.productCategory.name" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                        [(ngModel)]="productCategory.name" required/>
                    <div [hidden]="!(editForm.controls.name?.dirty && editForm.controls.name?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.name?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.productCategory.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="productCategory.description" />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.productCategory.restaurant" for="field_restaurant">Restaurant</label>
                    <select class="form-control" id="field_restaurant" name="restaurant" [(ngModel)]="productCategory.restaurant" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="restaurantOption.id === productCategory.restaurant?.id ? productCategory.restaurant : restaurantOption" *ngFor="let restaurantOption of restaurants; trackBy: trackRestaurantById">{{restaurantOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
